<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.3.39
Name: [3] Sekcja załączników
Description: Szablon CDA dla sekcji załączników
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000">
   <title>[3] Sekcja załączników</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.39
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']]
Item: (plCdaAttachmentListSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']]"
         id="tmp-r-172f70e8-211b-487d-aedc-a65850df4c23">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']/@nullFlavor)">(plCdaAttachmentListSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39'])&lt;=1">(plCdaAttachmentListSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.39
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']
Item: (plCdaAttachmentListSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']"
         id="tmp-r-f552747c-4cc8-42f5-871a-e2330152d8cf">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(plCdaAttachmentListSection): Wartość dla @classCode MUSI wynosić 'DOCSECT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaAttachmentListSection): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.39'] | self::hl7:id | self::hl7:title['Załączniki'] | self::hl7:text | self::hl7:entry)])">(plCdaAttachmentListSection): We fragmencie dokumentu zgodnym z szablonem "[3] Sekcja załączników" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.39'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.39']/@nullFlavor)">(plCdaAttachmentListSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.39'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.39'])&lt;=1">(plCdaAttachmentListSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.39'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaAttachmentListSection): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(plCdaAttachmentListSection): element hl7:title jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000.html"
              test="count(hl7:title)&lt;=1">(plCdaAttachmentListSection): element hl7:title występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaAttachmentListSection): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaAttachmentListSection): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.31']])&gt;=1 and not(hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.31']]/@nullFlavor)">(plCdaAttachmentListSection): element hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.31']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.31']])&lt;=1">(plCdaAttachmentListSection): element hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.31']] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.39
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.39']
Item: (plCdaAttachmentListSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.39']"
         id="tmp-r-64e6281e-bbe1-4876-b4f6-b25b1d94d1c7">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaAttachmentListSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.3.39'">(plCdaAttachmentListSection): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.3.39'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaAttachmentListSection): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.39
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']/hl7:id
Item: (plCdaAttachmentListSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']/hl7:id"
         id="tmp-r-bbcb4ab5-b881-4673-a539-b281e891a3fb">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaAttachmentListSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.39
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']/hl7:title
Item: (plCdaAttachmentListSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']/hl7:title"
         id="tmp-r-9541a9cc-7240-4d17-8868-cbc86627c588">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaAttachmentListSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ST", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000.html"
              test="text()='Załączniki'">(plCdaAttachmentListSection): zawartość elementu hl7:title MUSI wynosić ''Załączniki''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.39
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']/hl7:text
Item: (plCdaAttachmentListSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']/hl7:text"
         id="tmp-r-1c6826db-7bf5-453a-b0ae-0a40bb8a2b90">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaAttachmentListSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:SD.TEXT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.39
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']/hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.31']]
Item: (plCdaAttachmentListSection)
-->
   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.39']/hl7:entry[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.31']]">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.39-2018-06-30T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(plCdaAttachmentListSection): Wartość dla @typeCode MUSI wynosić 'COMP'.</assert>
   </rule>
</pattern>
